//	CassidyConfig.cc

#include "CassidyConfig.h"
#include "CassidySettingsView.h"
#include "Cassidy.h"
#include <TabView.h>

CassidyConfig::CassidyConfig(BlanketModule *owner, BView *view, int refresh, bool inColor, int cycle)
	: BlanketModule::Config(owner,view,true)
{
	BRect bounds;
	BTab *tab;
	BTabView *tabView;
	BView *subView;
	BWindow *window = view->Window();
	
	if (window)
		window->Lock();
	bounds = view->Bounds();
	bounds.InsetBy(4,4);
	tabView = new BTabView(bounds,"");
	tabView->SetViewColor(view->ViewColor());
	bounds.right -= 10;
	bounds.bottom -= 11;
	subView = new CassidySettingsView(bounds,owner,refresh,inColor,cycle);
	tabView->AddTab(subView);
	tab = tabView->TabAt(0);
	tab->SetLabel("Settings");
	subView = GetPreview(bounds,B_FOLLOW_ALL_SIDES,B_WILL_DRAW);
	tabView->AddTab(subView);
	tab = tabView->TabAt(1);
	tab->SetLabel("Preview");
	view->AddChild(tabView);
	if (window)
		window->Unlock();
}
